>> 古い記事: [雑記] 2007-10b
<< 新しい記事: Ruby(mswin32)で uconv を使えるようにする

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

[雑ログ] Gutsy へのアップグレードで「Getting upgrade prerequisites failed」というエラーが出たがアップグレードできた

Ubuntu Linux 7.04(Feisty Fawn)から 7.10(Gutsy Gibbon) へのアップグレードでエラーが出たけど、 どうにか成功したようなのでメモ。

以下のメモは作業中に書いたものではなく 作業後に思い出しながら書いたものであり、かなりうろ覚えで乱雑で適当です。 原因と結果の関係が結局よく分からなかったので ほとんど参考にならないと思います。 はっきり言ってクリーンインストールがおすすめ。 ただ、クリーンインストールじゃなくてもアップグレードできましたよ、 ってことだけは事実ということで……。


Getting upgrade prerequisites failed

The sustem was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.

Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.

というメッセージが出る。

$ cat /var/log/dist-upgrade/main.log
2007-10-31 19:11:25,513 INFO release-upgrader version '0.81' started
2007-10-31 19:11:28,267 DEBUG lsb-release: 'feisty'
2007-10-31 19:11:28,268 DEBUG _pythonSymlinkCheck run
2007-10-31 19:11:31,686 DEBUG checkViewDepends()
2007-10-31 19:11:31,688 DEBUG getRequiredBackports()
2007-10-31 19:11:37,597 DEBUG marking 'release-upgrader-apt' for install
2007-10-31 19:11:37,842 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-31 19:11:39,887 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmpNUhxZf/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://jp.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-10-31 19:11:39,889 ERROR pre-requists item 'http://jp.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

いろいろいじっても上手くいかないので、
GutsyUpgrades - Community Ubuntu Documentation
このページに書いてある、 alternate の CD 内にある cdromupgrade を使った方法を試すも、 やはり失敗。

リポジトリ先に alternate の CD を加えても症状が変わらず。

Ubuntu日本語フォーラム / 7.04から7.10にアップグレードできない。

以下を試して頂けるでしょうか?
1. Synapticで、リポジトリソースをjapan以外に(USがいいかな)
これを参考にサーバを日本のものから「メイン」に変えてみても変化なし。

はっきり言って勘なのだけれど、
- ネット上のリポジトリに繋ごうとするとダメっぽい?
- リポジトリに CD を加えても挙動に変化が見られない
なので、alternate の CD だけをリポジトリとして使うように設定。

Synaptic で ubuntu-desktop を見ると インストール済が 1.43 で 最新版が 1.79 とかだったので、 たしか再インストール指定したような……

で、なんとなくコア部分は Gutsy になったような感じだったので 「ソフトウェアのソース」でリポジトリを Gutsy のものに切り替えて 雑多なものをアップデート。

なんとなく流れで alternate を使ったけど、 desktop-ja でも良かったかもしれない。

以上。

>> 古い記事: [雑記] 2007-10b
<< 新しい記事: Ruby(mswin32)で uconv を使えるようにする
** ホームに戻る

コメント

コメントの投稿

管理者にだけ表示を許可する

|
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。